<?php /* Template name: Page: right sidebar */ ?> 

<?php get_header(); ?>

<?php 
$name = get_bloginfo('name');
$custom_header_image = '<div id="header-image" class="container"><img src="';
$custom_header_image .= get_option_tree( 'header_image' );
$custom_header_image .= '" alt="';
$custom_header_image .= $name;
$custom_header_image .= '" /></div><!--#header-image--><div class="clear"></div>'; 

// Display image slider
global $option_tree;
$slides = get_option_tree( 'orbit_slider', $option_tree, false, true, -1 );
$caption = 0;
$slider = '<div id="header-image" class="container"><div id="orbit-slider">  
	<div class="container_orbit">
		<div id="featured">';

if ( get_option_tree( 'orbit_links' ) == "Yes" ) {
	$slide_links = '<a href="'.$slide['link'].'" target="_blank" >';
	$slide_links_end = '</a>'; }
else { 
	$slide_links = '';
	$slide_links_end = '';
}

if(is_array($slides)) {  
foreach( $slides as $slide ) {
	$slider .= $slide_links;
	$slider .= '<img class="slider-img" src="'.$slide['image'].'" alt="'.$slide['title'].'" data-caption="#'.$caption.'"  />';
	if ($slide['description']!="") { $slider .= '<div class="orbit-caption" id="'.$caption.'">'.$slide['description'].'</div>'; }
	$slider .= $slide_links_end;
	$caption++;
	}
}
	
$slider .= '</div>
</div>
</div></div><div class="clear"></div>';

// Display Recent Posts Slider
if (function_exists('rps_show')) {
$rps_slider = '<div id="header-image" class="container header-rps">';
$rps_slider .=  rps_show(); 
$rps_slider .= '</div><!--#header-image--><div class="clear"></div>'; 
}

if ( function_exists( 'get_option_tree') ) {
	if ( get_option_tree( 'header_onoff' ) == 'Display custom header' ) { 
		if ( get_post_meta(get_the_ID(), 'fuji_header', true) == '' ) {		
			if ( get_option_tree( 'header_content' ) == 'Image' ) {
			echo $custom_header_image;
			}
			elseif ( get_option_tree( 'header_content' ) == 'Image slider' ) {
			echo $slider;
			}
			elseif (get_option_tree( 'header_content' ) == 'Recent Posts Slider' ) {
			echo $rps_slider; 
			}
			elseif (get_option_tree( 'header_content' ) == 'Custom HTML' ) {
			echo get_option_tree( 'header_html' ); 
			}
		}
		elseif ( get_post_meta(get_the_ID(), 'fuji_header', true) == 'No header' ) {
		echo '';
		}
		elseif ( get_post_meta(get_the_ID(), 'fuji_header', true) == 'Static image' ) {
		echo $custom_header_image;
		}
		elseif ( get_post_meta(get_the_ID(), 'fuji_header', true) == 'Image slider' ) {
		echo $slider;
		}
		elseif ( get_post_meta(get_the_ID(), 'fuji_header', true) == 'Recent posts slider' ) {
		echo $rps_slider; 
		}
		elseif ( get_post_meta(get_the_ID(), 'fuji_header', true) == 'Custom HTML' ) {
		echo get_option_tree( 'header_html' ); 
		}
	}	
}
?>

<?php if (has_nav_menu('category-menu')) {  ?><div id="nav-secondary"><?php wp_nav_menu( array( 'theme_location' => 'category-menu','depth'=>'2','menu_class'=>'middle-menu','container_class'=>'middle-menu-container' ) ); ?></div><?php } ?>
	<div class="mobilemenu"><?php dropdown_menu( array( 'theme_location' => 'category-menu','depth'=>'2','dropdown_title' => '-- Navigate to --','indent_string' => '- ','indent_after' => '') ); ?></div>
<div id="content">
	<div id="page-wrapper">
	<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class('page'); ?>>
			<article>
				<h1><?php the_title(); ?></h1>
				<div class="clearleft"></div>
				<div class="top-border"></div>
				<?php if ( has_post_thumbnail() ) { /* loads the post's featured thumbnail, requires Wordpress 3.0+ */ echo '<div class="featured-thumbnail">'; the_post_thumbnail(); echo '</div>'; } ?>
				<div class="post-edit"><?php edit_post_link('<small>Edit this entry</small>','',''); ?></div>
				<div class="post-content page-content">
					<?php the_content(); ?>
					<?php wp_link_pages('before=<div class="pagination">&after=</div>'); ?>
				<div class="clearboth"></div></div><!--.post-content .page-content -->
			</article>
			</div><!--#post-# .post-->
	<?php endwhile; ?>
</div><!--#page-wrapper-->
</div><!--#content-->
<?php get_sidebar(); ?>
<?php get_footer(); ?>